Bug 218388 - www/gitlab: default listenAddr
Summary: www/gitlab: default listenAddr
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Matthias Fechner
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-04-05 02:52 UTC by Marián Černý
Modified: 2018-01-06 04:29 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (tz)


Attachments
Add listenNetwork and listenAddr to gitlab rc script (1.17 KB, patch)
2017-04-05 02:52 UTC, Marián Černý
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Marián Černý 2017-04-05 02:52:32 UTC
Created attachment 181499 [details]
Add listenNetwork and listenAddr to gitlab rc script

The port has currently a fixed -listenAddr defined in the rc.d script.

The attached patch adds an ability to define gitlab_listenNetwork and gitlab_listenAddr to change that.

It is needed for example if Gitlab is installed using Apache instead of Nginx as a proxy (see https://gitlab.com/gitlab-org/gitlab-recipes/blob/master/web-server/apache/gitlab-ssl-apache24.conf).

Here are for example the rc.conf variables I use:

gitlab_enable="YES"
gitlab_listenNetwork="tcp"
gitlab_listenAddr="127.0.0.1:8181"

Thank you for considering to include this patch.
Comment 1 Richard Gallamore freebsd_committer 2017-09-18 17:25:49 UTC
Created another patch a few days ago needing reverse proxy support. Do you think we can get support for this in the port?

https://reviews.freebsd.org/D12376
Comment 2 Torsten Zuehlsdorff freebsd_committer 2017-12-06 15:35:16 UTC
Submit to new Maintainer. :)

I'm in CC if something needs to be committed.
Comment 3 Matthias Fechner freebsd_committer 2017-12-09 09:55:56 UTC
Thanks for this. I already included it together with a security update.
Patch is on its way.
Comment 4 commit-hook freebsd_committer 2017-12-12 10:54:41 UTC
A commit references this bug:

Author: tz
Date: Tue Dec 12 10:54:13 UTC 2017
New revision: 456116
URL: https://svnweb.freebsd.org/changeset/ports/456116

Log:
  www/gitlab: Update from 10.1.4 to 10.1.5

  Also:
  - remove %%RUBY_SUFFIX%% from plist (thanks to swills)
  - fix broken dependency to rubygem-pg in Gemfile
  - fix broken dependency to rubygem-mysql2 in Gemfile
  - Add support for reverse proxies in rc script
  - Fix: gitlab starts even if gitlab_enable is not set
  - Make default listenAddr configurable

  PR:           224232 222896 220126 218388
  Submitted by: swills, gdinolt@pacbell.net, max@mober.at, Mari?n ?ern? <majo-bugs.freebsd.org@cerny.sk>
  Reviewed by:  tz
  Approved by:  maintainer
  Differential Revision:	https://reviews.freebsd.org/D12376

Changes:
  head/www/gitlab/Makefile
  head/www/gitlab/distinfo
  head/www/gitlab/files/gitlab.in
  head/www/gitlab/files/patch-Gemfile
  head/www/gitlab/files/patch-config_database.yml.postgresql
  head/www/gitlab/pkg-plist
Comment 5 Marián Černý 2018-01-06 04:29:27 UTC
Thanks for the fix. Works like a charm.